CUT(1)

NAME
cut - select portions of each line of a file

SYNOPSIS
cut -b list [-n] [file ...]
cut -c list [file ...]
cut -f list [-s] [-d delim] [file ...]

DESCRIPTION
The cut utility selects portions of each line (as specified by list) from each file (or the standard input by default), and writes them to the standard output. The items specified by list can be in terms of column position or in terms of fields delimited by a special character. Column and field numbering starts from 1.

list is a comma or whitespace separated set of numbers and/or number ranges. Number ranges consist of a number, a dash (‘-’), and a second number which select the fields or columns from the first number to the second, inclusive. Numbers or number ranges may be preceded by a dash, which selects all fields or columns from 1 to the first number. Numbers or number ranges may be followed by a dash, which selects all fields or columns from the last number to the end of the line. Numbers and number ranges may be repeated, overlapping, and in any order. It is not an error to select fields or columns not present in the input line.

The options are as follows:

-b list
    The list specifies byte positions.

-c list
    The list specifies character positions.

-d delim
    Use the first character of delim as the field delimiter character. The default is the <TAB> character.

-f list
    The list specifies fields, separated by the field delimiter character. The selected fields are output, separated by the field delimiter character.

-n  Do not split multi-byte characters.

-s  Suppresses lines with no field delimiter characters. Unless specified, lines with no delimiters are passed through unmodified.

EXIT STATUS

EXAMPLES
Extract login names and shells from the system passwd(5) file as “name:shell” pairs:

    $ cut -d : -f 1,7 /etc/passwd

Show the names and login times of logged in users:

    $ who | cut -c 1-16,26-38

SEE ALSO
paste(1)

STANDARDS
The cut utility is compliant with the p1003.1-2008 specification.

CAVEATS
The current implementation does not support multi-byte characters. Consequently -c does the same as -b, and -n has no effect.